Bug 183980 - FC5T3 hungs during pxe/kickstart installation on HP DL385 with AMD 275 dual core cpu
FC5T3 hungs during pxe/kickstart installation on HP DL385 with AMD 275 dual c...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: 183979 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-03-04 09:08 EST by Johannes Demel
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-21 14:30:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
directory of pxe-setup, kickstart-file, dhcp.conf file, pxe-boot-file, http-logs (61.91 KB, text/plain)
2006-03-04 09:08 EST, Johannes Demel
no flags Details
Traceback of hung during formatting (45.88 KB, text/plain)
2006-03-06 16:53 EST, Johannes Demel
no flags Details

  None (edit)
Description Johannes Demel 2006-03-04 09:08:26 EST
Description of problem:

On a HP DL385 with AMD 275 Dual Core CPU the system hangs up during a
pxe/kickstart installation at different points.
The machine has 2 GB memory and two (hw-mirrored) 72GB SCSI disks.

Version-Release number of selected component (if applicable):

Fedora Core 5 Test 3

How reproducible:

do a pxe/kickstart installtion

Steps to Reproduce:
1. PXE Boot
2. use Boot with 'ks'
3. select eth0 as installation interface
Actual results:

hung during formatting or during Package Installation (not always
the same packet, e.g. chkconfig or gcc-lib)

Expected results:

successfull kickstart installation

Additional info:

The problem occurs both with nfs or http installation.
I tried it with different ramdisk sizes

Note that the last transfered package as seen on the httpd log
was glibc-2.3.90-37.i686.rpm but the console screen shows
chkconfig-1.3.27-1-x86_64 als current installaed package
Fedora Core 4 installation works without problems on this system.
Comment 1 Johannes Demel 2006-03-04 09:08:26 EST
Created attachment 125639 [details]
directory of pxe-setup, kickstart-file, dhcp.conf file, pxe-boot-file, http-logs
Comment 2 Johannes Demel 2006-03-04 09:16:50 EST
*** Bug 183979 has been marked as a duplicate of this bug. ***
Comment 3 Jeremy Katz 2006-03-04 11:13:24 EST
Can you switch ttys when the hang occurs? 
Comment 4 Johannes Demel 2006-03-04 11:35:07 EST
I'm not shure if I can switch in all cases. But in the moment I had a
hung during formatting, and I can switch ttys. (and I can execute commands
in the alt-f2 window). 
In alt-f5 it is in the state 'writing superblocks and filesyste accounting 

Previous I had a hung during the package installations. And when I switche
to alt-f2 and type ls, there was no repsonse anymore. But before this
I looked at the other windows and found the following error messages:

/usr/sbin/hwclock: error wile loading shared libraries: libaudt.so.0: cannot 
open shared object file: No such file o
r directory
audit(...): avc: denied ( transition) for pid=738 comm="anaconda" 
  dev=dm-0 ino=524293 scontext=system_u:system_r:anaconda_t:s0 
tcontext=system_u:syste_r:rpm_script_t:s0 tclass=proc
Comment 5 Dave Jones 2006-03-06 16:16:50 EST
this is a little involved, but hopefully it'll yield something interesting..

when its hung, go to tty2, and run these commands

echo 1 > /proc/sys/kernel/sysrq
echo t > /proc/sysrq-trigger
*put a blank floppy into the drive*
modprobe floppy
dmesg -s 128000 > /dev/fd0

then read back what was written on another box with strings /dev/fd0 and attach
output to this bug.
Comment 6 Johannes Demel 2006-03-06 16:53:13 EST
Created attachment 125725 [details]
Traceback of hung during formatting

This traceback/dmesg is from the case where the process stops during 
formatting auf filesystems (note that I did a lot auf looking arround
int ALT-F2 before creating the traceback). Between the hung and the
actual traceback was more than 24 hours. The messages in ALT-F3/4/5 described
in a previous comment belong to this situation !
Comment 7 Johannes Demel 2006-03-06 17:03:24 EST
I now reproduced the situation where the hung occurs during 'Package 
Installation' of glibc-2.3.90-37-x86_64, Size 10957k, Status: 92%,
Total Packages 291, Completed 9, Remaining 282, 15%.

When I type in 
   echo 1 > /proc/sys/kernel/sysrq
in ALT-F2, I don't get any prompt. So I cannot do make the traceback.

The last lines in ALT-F3 were:
INFO: moving (1) to step preinstallconfig
WARNING: no dev package, going to bind mount /dev
INFO: moving (1) to step installpackages
INFO: Preparing to install packages

The last Lines in ALT-F4 were:
SELinux: initialized (dev dm-1, type ext3), uses xattr
audit(1141685663.010:3): avc: denied (transition) for pid=739 comm="anaconda"
name="ligcc_post_upgrade" dev=dm-0 ino=1474565 
tcontext=system_u:system_r:rpm_script_t:s0 tclass=process

the last line in ALT-F5 was:
/usr/sbin/hwclock: error while loading shared libraries: libaudit.so.0:
 cannot open shared object file: No such file or directory

Comment 8 Chris Eveleigh 2006-03-17 14:31:26 EST
this sounds similar to my bug 185395 .. i assume your server has a smartarray
card for the disks?

i think the problem is in the kernel (my system runs okay using the FC4 kernel
following a yum upgrade from FC4) .. is there a way of running the FC5 PXE
install using the vmlinux and initrd from the FC4 install - or rebuilding those
files using the FC4 kernel?
Comment 9 Chris Eveleigh 2006-03-21 06:27:59 EST
i think bug 185395 is fixed by kernel 2.6.15-1.2054_FC5smp in the FC5 release so
it might be worth trying this again now.
Comment 10 Johannes Demel 2006-03-21 06:37:00 EST
FC5 Release works fine now.

Note You need to log in before you can comment on or make changes to this bug.